import request from "@/utils/httpRequest";
import { PSI_MANAGEMANT as prefix } from "../AppPath";

export default class ContractService {
	save(param) {
		return request({
			url: prefix + "/psi/contract/save",
			method: "post",
			data: param,
		});
	}
	list(param) {
		return request({
			url: prefix + "/psi/contract/list",
			method: "get",
			params: param,
		});
	}
	findById(id) {
		return request({
			url: prefix + "/psi/contract/findById",
			method: "get",
			params: { id: id },
		});
	}
	updateStatusById(param) {
		return request({
			url: prefix + "/psi/contract/updateStatusById",
			method: "post",
			data: param,
		});
	}
	remove(id) {
		return request({
			url: prefix + "/psi/contract/remove",
			method: "get",
			params: { id: id },
		});
	}
}
